Loading...
Searching...
No Matches
timsframebase.h File Reference

handle a single Bruker's TimsTof frame without binary data More...

`#include <memory>`
`#include <vector>`
`#include <QtGlobal>`
`#include "../../massspectrum/massspectrum.h"`
`#include "mzcalibration/mzcalibrationinterface.h"`

Go to the source code of this file.

## Classes

class | pappso::TimsFrameBase

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< TimsFrameBase > | pappso::TimsFrameBaseSPtr
typedef std::shared_ptr< const TimsFrameBase > | pappso::TimsFrameBaseCstSPtr

## Detailed Description

handle a single Bruker's TimsTof frame without binary data

Date
  16/12/2019

Author
  Olivier Langella

Definition in file timsframebase.h.